NumericShaper.Range (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: java.awt.font, class: NumericShaper, enum: Range
Keywords: java.awt.font.NumericShaper.Range class

Module java.desktop
Package java.awt.font

# Enum NumericShaper.Range

java.lang.Object
java.lang.Enum<NumericShaper.Range>
java.awt.font.NumericShaper.Range

All Implemented Interfaces:
  `Serializable`, `Comparable<NumericShaper.Range>`, `Constable`

Enclosing class:
  NumericShaper

    public static enum NumericShaper.Range
    extends Enum<NumericShaper.Range>

A `NumericShaper.Range` represents a Unicode range of a script having its own decimal digits. For example, the `THAI` range has the Thai digits, THAI DIGIT ZERO (U+0E50) to THAI DIGIT NINE (U+0E59).

The `Range` enum replaces the traditional bit mask-based values (e.g., `NumericShaper.ARABIC`), and supports more Unicode ranges than the bit mask-based ones. For example, the following code using the bit mask:

>      NumericShaper.getContextualShaper(NumericShaper.ARABIC |
>                                          NumericShaper.TAMIL,
>                                        NumericShaper.EUROPEAN);

can be written using this enum as:

>      NumericShaper.getContextualShaper(EnumSet.of(
>                                          NumericShaper.Range.ARABIC,
>                                          NumericShaper.Range.TAMIL),
>                                        NumericShaper.Range.EUROPEAN);

Since:
  1.7

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ARABIC` | The Arabic range with the Arabic-Indic digits.
  `BALINESE` | The Balinese range with the Balinese digits.
  `BENGALI` | The Bengali range with the Bengali digits.
  `CHAM` | The Cham range with the Cham digits.
  `DEVANAGARI` | The Devanagari range with the Devanagari digits.
  `EASTERN_ARABIC` | The Arabic range with the Eastern Arabic-Indic digits.
  `ETHIOPIC` | The Ethiopic range with the Ethiopic digits.
  `EUROPEAN` | The Latin (European) range with the Latin (ASCII) digits.
  `GUJARATI` | The Gujarati range with the Gujarati digits.
  `GURMUKHI` | The Gurmukhi range with the Gurmukhi digits.
  `JAVANESE` | The Javanese range with the Javanese digits.
  `KANNADA` | The Kannada range with the Kannada digits.
  `KAYAH_LI` | The Kayah Li range with the Kayah Li digits.
  `KHMER` | The Khmer range with the Khmer digits.
  `LAO` | The Lao range with the Lao digits.
  `LEPCHA` | The Lepcha range with the Lepcha digits.
  `LIMBU` | The Limbu range with the Limbu digits.
  `MALAYALAM` | The Malayalam range with the Malayalam digits.
  `MEETEI_MAYEK` | The Meetei Mayek range with the Meetei Mayek digits.
  `MONGOLIAN` | The Mongolian range with the Mongolian digits.
  `MYANMAR` | The Myanmar range with the Myanmar digits.
  `MYANMAR_SHAN` | The Myanmar range with the Myanmar Shan digits.
  `MYANMAR_TAI_LAING` | The Myanmar Extended-B range with the Myanmar Tai Laing digits.
  `NEW_TAI_LUE` | The New Tai Lue range with the New Tai Lue digits.
  `NKO` | The N'Ko range with the N'Ko digits.
  `OL_CHIKI` | The Ol Chiki range with the Ol Chiki digits.
  `ORIYA` | The Oriya range with the Oriya digits.
  `SAURASHTRA` | The Saurashtra range with the Saurashtra digits.
  `SINHALA` | The Sinhala range with the Sinhala digits.
  `SUNDANESE` | The Sundanese range with the Sundanese digits.
  `TAI_THAM_HORA` | The Tai Tham Hora range with the Tai Tham Hora digits.
  `TAI_THAM_THAM` | The Tai Tham Tham range with the Tai Tham Tham digits.
  `TAMIL` | The Tamil range with the Tamil digits.
  `TELUGU` | The Telugu range with the Telugu digits.
  `THAI` | The Thai range with the Thai digits.
  `TIBETAN` | The Tibetan range with the Tibetan digits.
  `VAI` | The Vai range with the Vai digits.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static NumericShaper.Range` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static NumericShaper.Range[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EUROPEAN

    public static final NumericShaper.Range EUROPEAN
    The Latin (European) range with the Latin (ASCII) digits.

  - ### ARABIC

    public static final NumericShaper.Range ARABIC
    The Arabic range with the Arabic-Indic digits.

  - ### EASTERN_ARABIC

    public static final NumericShaper.Range EASTERN_ARABIC
    The Arabic range with the Eastern Arabic-Indic digits.

  - ### DEVANAGARI

    public static final NumericShaper.Range DEVANAGARI
    The Devanagari range with the Devanagari digits.

  - ### BENGALI

    public static final NumericShaper.Range BENGALI
    The Bengali range with the Bengali digits.

  - ### GURMUKHI

    public static final NumericShaper.Range GURMUKHI
    The Gurmukhi range with the Gurmukhi digits.

  - ### GUJARATI

    public static final NumericShaper.Range GUJARATI
    The Gujarati range with the Gujarati digits.

  - ### ORIYA

    public static final NumericShaper.Range ORIYA
    The Oriya range with the Oriya digits.

  - ### TAMIL

    public static final NumericShaper.Range TAMIL
    The Tamil range with the Tamil digits.

  - ### TELUGU

    public static final NumericShaper.Range TELUGU
    The Telugu range with the Telugu digits.

  - ### KANNADA

    public static final NumericShaper.Range KANNADA
    The Kannada range with the Kannada digits.

  - ### MALAYALAM

    public static final NumericShaper.Range MALAYALAM
    The Malayalam range with the Malayalam digits.

  - ### THAI

    public static final NumericShaper.Range THAI
    The Thai range with the Thai digits.

  - ### LAO

    public static final NumericShaper.Range LAO
    The Lao range with the Lao digits.

  - ### TIBETAN

    public static final NumericShaper.Range TIBETAN
    The Tibetan range with the Tibetan digits.

  - ### MYANMAR

    public static final NumericShaper.Range MYANMAR
    The Myanmar range with the Myanmar digits.

  - ### ETHIOPIC

    public static final NumericShaper.Range ETHIOPIC
    The Ethiopic range with the Ethiopic digits. Ethiopic does not have a decimal digit 0 so Latin (European) 0 is used.

  - ### KHMER

    public static final NumericShaper.Range KHMER
    The Khmer range with the Khmer digits.

  - ### MONGOLIAN

    public static final NumericShaper.Range MONGOLIAN
    The Mongolian range with the Mongolian digits.

  - ### NKO

    public static final NumericShaper.Range NKO
    The N'Ko range with the N'Ko digits.

  - ### MYANMAR_SHAN

    public static final NumericShaper.Range MYANMAR_SHAN
    The Myanmar range with the Myanmar Shan digits.

  - ### LIMBU

    public static final NumericShaper.Range LIMBU
    The Limbu range with the Limbu digits.

  - ### NEW_TAI_LUE

    public static final NumericShaper.Range NEW_TAI_LUE
    The New Tai Lue range with the New Tai Lue digits.

  - ### BALINESE

    public static final NumericShaper.Range BALINESE
    The Balinese range with the Balinese digits.

  - ### SUNDANESE

    public static final NumericShaper.Range SUNDANESE
    The Sundanese range with the Sundanese digits.

  - ### LEPCHA

    public static final NumericShaper.Range LEPCHA
    The Lepcha range with the Lepcha digits.

  - ### OL_CHIKI

    public static final NumericShaper.Range OL_CHIKI
    The Ol Chiki range with the Ol Chiki digits.

  - ### VAI

    public static final NumericShaper.Range VAI
    The Vai range with the Vai digits.

  - ### SAURASHTRA

    public static final NumericShaper.Range SAURASHTRA
    The Saurashtra range with the Saurashtra digits.

  - ### KAYAH_LI

    public static final NumericShaper.Range KAYAH_LI
    The Kayah Li range with the Kayah Li digits.

  - ### CHAM

    public static final NumericShaper.Range CHAM
    The Cham range with the Cham digits.

  - ### TAI_THAM_HORA

    public static final NumericShaper.Range TAI_THAM_HORA
    The Tai Tham Hora range with the Tai Tham Hora digits.

  - ### TAI_THAM_THAM

    public static final NumericShaper.Range TAI_THAM_THAM
    The Tai Tham Tham range with the Tai Tham Tham digits.

  - ### JAVANESE

    public static final NumericShaper.Range JAVANESE
    The Javanese range with the Javanese digits.

  - ### MEETEI_MAYEK

    public static final NumericShaper.Range MEETEI_MAYEK
    The Meetei Mayek range with the Meetei Mayek digits.

  - ### SINHALA

    public static final NumericShaper.Range SINHALA
    The Sinhala range with the Sinhala digits.
    Since:
      9

  - ### MYANMAR_TAI_LAING

    public static final NumericShaper.Range MYANMAR_TAI_LAING
    The Myanmar Extended-B range with the Myanmar Tai Laing digits.
    Since:
      9

- ## Method Details

  - ### values

    public static NumericShaper.Range[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NumericShaper.Range valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null